Skip to main content
POST
Launch rental workload

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

rentalId
string
required

Body

application/json
kind
string

"box" runs the image's own entrypoint (e.g. a vLLM server); "shell" starts an SSH-able container reachable via levers9 shell.

imageId
string
command
string[]
ports
integer<int64>[]
gpuCount
integer<int64>
env
string[]

Response

A successful response.

ok
boolean
errMsg
string
containerId
string
stubId
string
url
string
shellCommand
string
username
string
password
string